# Default matplotlib style

#########################################################
# Figure layout defaults
#########################################################
fcp_params = {'ax_edge_color': '#000000',
              'ax_edge_width': 0.8,
              'ax_fill_color': '#ffffff',
              'ax_size': [500, 375],  # [width, height]
              'bar_align': 'center',
              'bar_color_by': None,
              'bar_edge_width': 0,
              'bar_error_bars': None,
              'bar_error_color': '#555555',
              'bar_fill_alpha': 0.75,
              'bar_horizontal': False,
              'bar_line': False,
              'bar_stacked': False,
              'bar_width': 0.8,
              'box_divider_color': '#000000',
              'box_divider_style': '-',
              'box_divider_width': 1,
              'box_edge_color': '#000000',
              'box_fill_color': 'none',
              'box_grand_mean': False,
              'box_grand_mean_color': '#555555',
              'box_grand_mean_style': '--',
              'box_grand_mean_width': 1,
              'box_grand_median_color': '#0000ff',
              'box_grand_median_style': '--',
              'box_grand_median_width': 1,
              'box_group_means_color': '#ff00ff',
              'box_group_mean_style': '--',
              'box_group_mean_width': 1,
              'box_group_title_edge_color': '#ffffff',
              'box_group_title_fill_color': '#ffffff',
              'box_group_title_font_size': 10,
              'box_group_title_font_color': '#000000',
              'box_group_title_font_style': 'normal',
              'box_group_title_font_weight': 'normal',
              'box_group_label_edge_color': '#000000',
              'box_group_label_font_size': 10,
              'box_group_label_font_color': '#000000',
              'box_group_label_font_style': 'normal',
              'box_group_label_font_weight': 'normal',
              'box_marker_edge_color': '#000000',
              'box_mean_diamonds': False,
              'box_mean_diamonds_alpha': 1,
              'box_mean_diamonds_edge_color': '#00ff00',
              'box_mean_diamonds_edge_style': '-',
              'box_mean_diamonds_edge_width': 0.7,
              'box_mean_diamonds_fill_color': None,
              'box_mean_diamonds_width': 0.8,
              'box_median_color': '1f77b4',
              'box_notch': False,
              'box_stat_line': 'mean',
              'box_stat_line_color': '#666666',
              'box_stat_line_style': '-',
              'box_stat_line_width': 1,
              'box_whisker_width': 1.5,
              'box_violin': False,
              'cbar_size': 30,
              'dpi': 100,
              'fig_edge_color': '#ffffff',
              'fig_fill_color': '#ffffff',
              'grid_major': False,
              'grid_major_color': '#b0b0b0',
              'grid_major_style': '-',
              'grid_major_width': 0.8,
              'grid_minor': False,
              'grid_minor_color': '#b0b0b0',
              'grid_minor_style': '-',
              'grid_minor_width': 0.5,
              'hist_align': 'mid',
              'hist_bins': 10,
              'hist_cumulative': False,
              'hist_horizontal': False,
              'hist_kde': False,
              'hist_normalize': False,
              'label_color': '#000000',
              'label_font': 'DejaVu Sans',
              'label_font_size': 10,
              'label_font_style': 'normal',
              'label_font_weight': 'normal',
              'label_rc_edge_color': '#ffffff',
              'label_rc_fill_color': '#888888',
              'label_rc_font_size': 12,
              'label_rc_font_color': '#ffffff',
              'label_rc_font_style': 'normal',
              'label_rc_font_weight': 'bold',
              'label_rc_size': 30,
              'legend_edge_color': '#cccccc',
              'legend_fill_color': '#ffffff',
              'legend_marker_size': 6,
              'legend_font': 'DejaVu Sans',
              'legend_font_size': 10,
              'legend_points': 1,
              'lines_style': '-',
              'lines_width': 1.5,
              'markers': False,
              'marker_filled': True,
              'marker_size': 6,
              'marker_type': 'o',
              'pie_percents': None,
              'pie_counter_clock': False,
              'pie_edge_color': '#ffffff',
              'pie_edge_style': '-',
              'pie_label_distance': 1.05,
              'pie_percents_distance': 0.6,
              'pie_radius': 1,
              'pie_rotate_labels': False,
              'pie_shadow': False,
              'pie_start_angle': 90,
              'spines': True,
              'tick_labels_font': 'DejaVu Sans',
              'tick_labels_font_size': 10,
              'tick_labels_color': '#000000',
              'ticks_major_color': '#000000',
              'ticks_major_direction': 'out',
              'ticks_major_length': 3.5,
              'ticks_major_width': 0.8,
              'ticks_major_y2': False,
              'ticks_minor_length': 2,
              'ticks_minor_width': 0.6,
              'title_fill_color': '#ffffff',
              'title_edge_color': '#ffffff',
              'title_font': 'DejaVu Sans',
              'title_font_color': '#000000',
              'title_font_size': 12,
              'title_font_weight': 'normal',
              'title_wrap_edge_color': '#5f5f5f',
              'title_wrap_fill_color': '#5f5f5f',
              'title_wrap_font_size': 12,
              'title_wrap_font_color': '#ffffff',
              'title_wrap_font_style': 'normal',
              'title_wrap_font_weight': 'bold',
              'title_wrap_size': 30,
              'violin_box_color': '#000000',
              'violin_box_on': True,
              'violin_edge_color': '#000000',
              'violin_markers': False,
              'violin_median_color': '#ffffff',
              'violin_median_marker': 'o',
              'violin_median_size': 2,
              'violin_whisker_color': '#000000',
              'violin_whisker_style': '-',
              'violin_whisker_width': 1.5,
              'ws_label_tick': 4,
              'ws_title_ax': 6,
              }

#########################################################
# Color schemes
#########################################################

colors = ['#1f77b4', '#ff7f0e', '#2ca02c', '#d62728', '#9467bd', '#8c564b', '#e377c2', '#7f7f7f', '#bcbd22', '#17becf']

####################################################
# Marker scheme
####################################################

markers = []

####################################################
# Matplotlib default overrides
####################################################
rcParams = {'font.cursive': ['Apple Chancery',
                             'Textile',
                             'Zapf Chancery',
                             'Sand',
                             'cursive'],
            'font.fantasy': ['Comic Sans MS',
                             'Chicago',
                             'Charcoal',
                             'ImpactWestern',
                             'fantasy'],
            'font.monospace': ['Bitstream Vera Sans Mono',
                               'DejaVu Sans Mono',
                               'Andale Mono',
                               'Nimbus Mono L',
                               'Courier New',
                               'Courier',
                               'Fixed',
                               'Terminal',
                               'monospace'],
            'font.sans-serif': ['Arial',
                                'Bitstream Vera Sans',
                                'Lucida Grande',
                                'Verdana',
                                'Geneva',
                                'Lucid',
                                'Helvetica',
                                'Avant Garde',
                                'sans-serif'],
            'font.serif': ['Bitstream Vera Serif',
                           'DejaVu Serif',
                           'New Century Schoolbook',
                           'Century Schoolbook L',
                           'Utopia',
                           'ITC Bookman',
                           'Bookman',
                           'Nimbus Roman No9 L',
                           'Times New Roman',
                           'Times',
                           'Palatino',
                           'Charter',
                           'serif'],
            'agg.path.chunksize': 1000,
            }
